% --- OS 1  ---
clear all, close all, clc
figuretitle = 'Figure 1.3';

% --- Generating digital signal  ---
t  = -3:0.1:11;
n  = -3:11;
a  = 1;
Ps = 15;
fs = 0.3*pi;
sequence_x = sin(2*pi*(1/Ps)*n + fs) + 0.2 + sin(2*pi*(0.3/Ps)*n + fs);
sequence_xa = sin(2*pi*(1/Ps)*t + fs) + 0.2 + sin(2*pi*(0.3/Ps)*t + fs);



set(0,'DefaultLineLineWidth',2)

rectangle('Position', [-1.5 -1.2 1.5 2.4],'Curvature', [0 0],...
     'FaceColor','y','LineWidth',0.1)
line([-1.6 1.2],[0 0],'LineWidth',1,'Color','r')
line([0 0],[-1.4 1.4],'LineWidth',1,'Color','r')
rectangle('Position', [-1.5 -1.2 1.5 2.4],'Curvature', [0 0],...
     'LineWidth',0.1)
line([0 0],[0 1.3],'LineWidth',4,'Color','b')
text(0,0,' (0, 0)','HorizontalAlignment','right','VerticalAlignment','top','FontSize',14)
text(0,1.2,' j2\pif \rightarrow \infty','HorizontalAlignment','left','VerticalAlignment','bottom','FontSize',16)
text(0,0,' f = 0','HorizontalAlignment','left','VerticalAlignment','bottom','FontSize',16)
text(0.25,0.5,' {\it s} ravan','HorizontalAlignment','left','VerticalAlignment','bottom','FontSize',16)

axis off
axis('equal')
set(gcf,'Name','OS 1','NumberTitle','off')
